Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface Halo

    public interface Halo

Encapsulates the halo radius that can be applied to any text Graphic.

Version:
  0.2

Field Summary
`static String` | `RADIUS` Halo radius attribute name.

Method Summary
`float` | `getRadius()` Returns the halo radius value.
`boolean` | `isRadiusSet()` Returns whether the halo radius value has been set.
`void` | `setRadius(float haloRadius)` Sets the halo radius value.
`void` | `setRadiusSet(boolean flag)` Sets the fact that the halo radius value has been set.

Field Detail

### RADIUS

    static final String RADIUS

  Halo radius attribute name.

  See Also:
    Constant Field Values

Method Detail

### getRadius

    float getRadius()

  Returns the halo radius value.

  Returns:
    the value of the halo radius.

### isRadiusSet

    boolean isRadiusSet()

  Returns whether the halo radius value has been set.

  Returns:
    true if the halo radius value has been set, false otherwise.

### setRadius

    void setRadius(float haloRadius)

  Sets the halo radius value.

  Parameters:
    `haloRadius` - the value of the halo radius.

### setRadiusSet

    void setRadiusSet(boolean flag)

  Sets the fact that the halo radius value has been set.

  Parameters:
    `flag` - true if the halo radius value has been set, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.